X2Go Bug report logs - #796
Ubuntu Server 14.04.2 PPA: Unresolvable Dependencies for x2goserver

Package: launchpad.net; Maintainer for launchpad.net is x2go-dev@lists.x2go.org;

Reported by: Joe Gullo <surfrock66@surfrock66.com>

Date: Sat, 21 Feb 2015 07:05:02 UTC

Severity: normal

Tags: moreinfo

Done: Mihai Moldovan <ionic@ionic.de>

Bug is archived. No further changes may be made.

Full log


🔗 View this message in rfc822 format

MIME-Version: 1.0
X-Mailer: MIME-tools 5.502 (Entity 5.502)
X-Loop: owner@bugs.x2go.org
From: owner@bugs.x2go.org (X2Go Bug Tracking System)
Subject: Bug#796 closed by Mihai Moldovan <ionic@ionic.de> (Re: Ubuntu
 Server 14.04.2 PPA: Unresolvable Dependencies for x2goserver)
Message-ID: <handler.796.b796.14718763624223.notifdone@bugs.x2go.org>
References: <48a36e3a-cb67-29fe-a989-262bed4c18dd@ionic.de>
X-X2go-PR-Keywords: moreinfo
X-X2go-PR-Message: they-closed 796
X-X2go-PR-Package: launchpad.net
Date: Mon, 22 Aug 2016 14:35:02 +0000
Content-Type: multipart/mixed; boundary="----------=_1471876502-4706-0"
[Message part 1 (text/plain, inline)]
This is an automatic notification regarding your Bug report
which was filed against the launchpad.net package:

#796: Ubuntu Server 14.04.2 PPA: Unresolvable Dependencies for x2goserver

It has been closed by Mihai Moldovan <ionic@ionic.de>.

Their explanation is attached below along with your original report.
If this explanation is unsatisfactory and you have not received a
better one in a separate message then please contact Mihai Moldovan <ionic@ionic.de> by
replying to this email.


-- 
796: http://bugs.x2go.org/cgi-bin/bugreport.cgi?bug=796
X2Go Bug Tracking System
Contact owner@bugs.x2go.org with problems
[Message part 2 (message/rfc822, inline)]
From: Mihai Moldovan <ionic@ionic.de>
To: Joe Gullo <surfrock66@surfrock66.com>, 796@bugs.x2go.org
Subject: Re: Ubuntu Server 14.04.2 PPA: Unresolvable Dependencies for x2goserver
Date: Mon, 22 Aug 2016 16:32:31 +0200
[Message part 3 (text/plain, inline)]
Control: close -1

On 14.08.2016 12:49 AM, Mihai Moldovan wrote:
> Is this still a problem, or did whatever broke in the repository get fixed
> "automatically"?

I installed x2goserver successfully in a new 14.04 environment during the
gathering and haven't seen any dependency problems.

I'll be closing this bug report.


If it's still an issue, feel free to reopen this report.



Mihai


[signature.asc (application/pgp-signature, attachment)]
[Message part 5 (message/rfc822, inline)]
From: Joe Gullo <surfrock66@surfrock66.com>
To: submit@bugs.x2go.org
Subject: Ubuntu Server 14.04.2 PPA: Unresolvable Dependencies for x2goserver
Date: Fri, 20 Feb 2015 23:00:35 -0800
[Message part 6 (text/plain, inline)]
Package: x2goserver
Version: 4.1.0.0-0~1214~ubuntu14.04.1

Package: x2goagent
Version: 2:3.5.0.29-0~489~ubuntu14.04.1

Package: nxagent
Version: 2:3.5.0.29-0~505~ubuntu14.04.1


Fully patched ubuntu server 14.04.2 server.  Using the x2go stable PPA.
When trying to install x2goserver, I get the following:

surfrock66@sr66-blade:~$ sudo apt-get install x2goserver x2goagent nxagent
Reading package lists... Done
Building dependency tree
Reading state information... Done
Some packages could not be installed. This may mean that you have
requested an impossible situation or if you are using the unstable
distribution that some required packages have not yet been created
or been moved out of Incoming.
The following information may help to resolve the situation:

The following packages have unmet dependencies:
 nxagent : Depends: libxcomp3 (= 2:3.5.0.28-0~481~ubuntu14.04.1) but
2:3.5.0.29-0~591~ubuntu14.04.1 is to be installed
           Depends: libxcompext3 (= 2:3.5.0.28-0~481~ubuntu14.04.1) but it
is not going to be installed
           Depends: libxcompshad3 (= 2:3.5.0.28-0~481~ubuntu14.04.1) but it
is not going to be installed
E: Unable to correct problems, you have held broken packages.
surfrock66@sr66-blade:~$ sudo dpkg -s libxcomp3 | grep Version; sudo dpkg
-s libxcompext3 | grep Version; sudo dpkg -s libxcompshad3 | grep Version
Version: 2:3.5.0.29-0~591~ubuntu14.04.1
Version: 2:3.5.0.29-0~591~ubuntu14.04.1
Version: 2:3.5.0.29-0~591~ubuntu14.04.1

Seems the PPA hosts x2goserver, which depends on x2goagent, which depends
on nxagent, which depends on these 3 libraries being downrevv'd.

Joe Gullo
Web Designer
http://www.surfrock66.com
surfrock66@surfrock66.com
(714)926-0336
BTC: 1BsnULNMABRS8nPeMzywkxnfD5ZuRiESxu
[Message part 7 (text/html, inline)]

Send a report that this bug log contains spam.


X2Go Developers <owner@bugs.x2go.org>. Last modified: Mon May 17 00:43:09 2021; Machine Name: ymir.das-netzwerkteam.de

X2Go Bug tracking system

Debbugs is free software and licensed under the terms of the GNU Public License version 2. The current version can be obtained from https://bugs.debian.org/debbugs-source/.

Copyright © 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson, 2005-2017 Don Armstrong, and many other contributors.